質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

受付中

Python chromedriverインストールについて

21120903ryosuke
21120903ryosuke

総合スコア7

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

2回答

0リアクション

0クリップ

3187閲覧

投稿2021/01/14 02:38

前提・実現したいこと

Seleniumを実行するにあたり、chromedriverをインストールしたいのですが
エラーがでており、インストールができません

selenium pyenv brew python 3.9.1までの環境構築は終わっています。

発生している問題・エラーメッセージ

pip3 install chromedriver-binary 88.0.4324.27.1
ERROR: Could not find a version that satisfies the requirement 88.0.4324.27.1
ERROR: No matching distribution found for 88.0.4324.27.1
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary 87.0.4280.88
ERROR: Could not find a version that satisfies the requirement 87.0.4280.88
ERROR: No matching distribution found for 87.0.4280.88
testname_suke@testname_uyuunoiMac-Pro python % pip install chromedriver-binary 87.0.4280.88
ERROR: Could not find a version that satisfies the requirement 87.0.4280.88
ERROR: No matching distribution found for 87.0.4280.88
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary 88.0.4324.27
ERROR: Could not find a version that satisfies the requirement 88.0.4324.27
ERROR: No matching distribution found for 88.0.4324.27
testname_suke@testname_uyuunoiMac-Pro python % pip3 install chromedriver-binary==88.0.4324.27
Collecting chromedriver-binary==88.0.4324.27
Downloading chromedriver-binary-88.0.4324.27.0.tar.gz (3.6 kB)
Using legacy 'setup.py install' for chromedriver-binary, since package 'wheel' is not installed.
Installing collected packages: chromedriver-binary
Running setup.py install for chromedriver-binary ... error
ERROR: Command errored out with exit status 1:
command: /Library/Frameworks/Python.framework/Versions/3.9/bin/python3.9 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"'; file='"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' install --record /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-record-v7ppz8xu/install-record.txt --single-version-externally-managed --compile --install-headers /Library/Frameworks/Python.framework/Versions/3.9/include/python3.9/chromedriver-binary
cwd: /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/
Complete output (79 lines):
running install
running build
running build_py

Downloading Chromedriver... Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1342, in do_open h.request(req.get_method(), req.selector, req.data, headers, File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1255, in request self._send_request(method, url, body, headers, encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1301, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1250, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1010, in _send_output self.send(msg) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 950, in send self.connect() File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py", line 1424, in connect self.sock = self._context.wrap_socket(self.sock, File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 500, in wrap_socket return self.sslsocket_class._create( File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 1040, in _create self.do_handshake() File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py", line 1309, in do_handshake self._sslobj.do_handshake() ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1122) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 44, in run response = urlopen(url) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 214, in urlopen return opener.open(url, data, timeout) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 517, in open response = self._open(req, data) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 534, in _open result = self._call_chain(self.handle_open, protocol, protocol + File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 494, in _call_chain result = func(*args) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1385, in https_open return self.do_open(http.client.HTTPSConnection, req, File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py", line 1345, in do_open raise URLError(err) urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1122)> During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<string>", line 1, in <module> File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 59, in <module> setup( File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/setuptools/__init__.py", line 165, in setup return distutils.core.setup(**attrs) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/core.py", line 148, in setup dist.run_commands() File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 966, in run_commands self.run_command(cmd) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command cmd_obj.run() File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/setuptools/command/install.py", line 61, in run return orig.install.run(self) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/command/install.py", line 546, in run self.run_command('build') File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/cmd.py", line 313, in run_command self.distribution.run_command(command) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command cmd_obj.run() File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/command/build.py", line 135, in run self.run_command(cmd_name) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/cmd.py", line 313, in run_command self.distribution.run_command(command) File "/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command cmd_obj.run() File "/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py", line 48, in run raise RuntimeError('Failed to download chromedriver archive: {}'.format(url)) RuntimeError: Failed to download chromedriver archive: https://chromedriver.storage.googleapis.com/88.0.4324.27/chromedriver_mac64.zip ----------------------------------------

ERROR: Command errored out with exit status 1: /Library/Frameworks/Python.framework/Versions/3.9/bin/python3.9 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"'; file='"'"'/private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-install-opvf5_kt/chromedriver-binary_1cba9eaa682c4ec9a459689b4dd504bb/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' install --record /private/var/folders/54/9my08q3d12gfm0hj8w337k500000gn/T/pip-record-v7ppz8xu/install-record.txt --single-version-externally-managed --compile --install-headers /Library/Frameworks/Python.framework/Versions/3.9/include/python3.9/chromedriver-binary Check the logs for full command output.
testname_suke@testname_uyuunoiMac-Pro python %

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。